#include <iostream>
#include <iomanip>
using namespace std;

void zameni(int* a, int* b)
{
    int t=*a;
    *a = *b;
    *b = t;
}
 void zamenip(double* a, double* b)
{
    double t = *a;
    *a = *b;
    *b = t;
}
int deo (double p[], int a[], int donji, int gornji)
{
    double pivot = p[gornji];
    int i = (donji - 1);
    for (int j = donji; j <= gornji- 1; j++)
{


     if (p[j] < pivot)
    {
   i++;
    zamenip(&p[i], &p[j]);
            zameni(&a[i], &a[j]);
     }
    }
        zamenip(&p[i + 1], &p[gornji]);
        zameni(&a[i + 1], &a[gornji]);
        return (i + 1);
}

void sortiraj(double p[], int a[], int donji, int gornji)
{
    if (donji < gornji)
        {
            int pi = deo(p,a, donji, gornji);
   sortiraj(p,a, donji, pi - 1);
      sortiraj(p,a, pi + 1, gornji);
}
}

double veci(double a, double b)
{
    if(b>a)
        return b;
    else
        return a;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    double zb=0;
    int n;
    cin>>n;

    int a[n];
    double p[n];

    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>p[i];
        p[i]=p[i]/100;
        zb+=a[i];
    }

    sortiraj(p,a,0,n-1);
    double naj=p[0]*zb;

    for(int i=0;i<n-1;i++)
    {
        zb=zb-a[i];
        naj= veci(naj,p[i+1]*zb);
    }
    cout << fixed << setprecision(4);
    cout<<naj;

    return 0;
}